HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve an OrderPayment

A GET request to /orders/{order_ref}/payments/{payment_ref}/ retrieves the specified OrderPayment.

Path Params
string
required

A unique reference hash for the Forage Order object, returned when the order’s parent Session was created.

string
required

A unique reference hash for the Forage OrderPayment object, returned when the OrderPayment was created.

Headers
string
required

An OAuth 2.0 bearer token that validates the request. You can use either a short-lived session token if the request is coming from the front-end, or an authentication token for server-side requests. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json